Bug 275136 - Kdevelop crashes because of failed assertion less then minute after start.
Summary: Kdevelop crashes because of failed assertion less then minute after start.
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: 4.2.60
Platform: Archlinux Packages Linux
: NOR crash (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
: 275196 275226 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-06-07 19:05 UTC by Sergey Vidyuk
Modified: 2011-06-17 23:57 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
crash log (100.90 KB, application/octet-stream)
2011-06-07 23:32 UTC, Bastian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Vidyuk 2011-06-07 19:05:58 UTC
Application: kdevelop (4.2.60)
KDE Platform Version: 4.6.3 (4.6.3)
Qt Version: 4.7.3
Operating System: Linux 2.6.38-ARCH i686
Distribution (Platform): Archlinux Packages

-- Information about the crash:
I'm usint git master of the kdevelop. Today build crashes because of failed assertion less then minute after start. It's 100% reproducable for my session containing only two projects available here: https://gitorious.org/mahjong-night

The following output is provided:
ASSERT: "range.start > childContexts.at(nextContextIndex() - 1)->range().start" in file /home/vestnik/Development/install/include/kdevplatform/language/duchain/builders/abstractcontextbuilder.h, line 615

kdevplatform: 4ad75b0c0e1bf0a29bdaa4aacf7aa14a6e8c70f1
kdevelop: d5c9aa663f333d38a0a8e8a68dd24d233b4f8817
All other dependencies are installd in the system (up to date Arch Linux packages).

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Aborted
[Current thread is 1 (Thread 0xb290faa0 (LWP 21882))]

Thread 9 (Thread 0xaeb37b70 (LWP 21899)):
#0  0xb77fe424 in __kernel_vsyscall ()
#1  0xb5ed0bd3 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5f41cde in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb4b5989e in KDevelop::DUChainPrivate::CleanupThread::run (this=0x83c2808) at /home/vestnik/Development/KDE/kdevplatform/language/duchain/duchain.cpp:286
#4  0xb5f41843 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb5eccc77 in start_thread () from /lib/libpthread.so.0
#6  0xb5220c6e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xacbbeb70 (LWP 21908)):
#0  0xb77fe424 in __kernel_vsyscall ()
#1  0xb521675e in poll () from /lib/libc.so.6
#2  0xb43b017b in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb43a15d6 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb43a19fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb606a2f7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb603b0fd in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb603b341 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb5f3ea2b in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb4c4731a in KDevelop::CompletionWorkerThread::run (this=0x8645278) at /home/vestnik/Development/KDE/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#10 0xb5f41843 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb5eccc77 in start_thread () from /lib/libpthread.so.0
#12 0xb5220c6e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xaa7b0b70 (LWP 21909)):
#0  0xb5ecfb30 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb439fe4b in g_main_context_release () from /usr/lib/libglib-2.0.so.0
#2  0xb43a1646 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb43a19fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb606a2f7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb603b0fd in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb603b341 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb5f3ea2b in QThread::exec() () from /usr/lib/libQtCore.so.4
#8  0xb4c4731a in KDevelop::CompletionWorkerThread::run (this=0x85167f8) at /home/vestnik/Development/KDE/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#9  0xb5f41843 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb5eccc77 in start_thread () from /lib/libpthread.so.0
#11 0xb5220c6e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xac3bdb70 (LWP 21914)):
#0  0xb77fe424 in __kernel_vsyscall ()
#1  0xb5ed082b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4fceac9 in ?? () from /usr/lib/libQtScript.so.4
#3  0xb4fceb0f in ?? () from /usr/lib/libQtScript.so.4
#4  0xb5eccc77 in start_thread () from /lib/libpthread.so.0
#5  0xb5220c6e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa91f2b70 (LWP 21917)):
#0  0xb5ecfb24 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb43a0e12 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#2  0xb43a16d0 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb43a19fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb606a2f7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb603b0fd in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb603b341 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb5f3ea2b in QThread::exec() () from /usr/lib/libQtCore.so.4
#8  0xb601bd1d in ?? () from /usr/lib/libQtCore.so.4
#9  0xb5f41843 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb5eccc77 in start_thread () from /lib/libpthread.so.0
#11 0xb5220c6e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa8722b70 (LWP 21955)):
#0  0xb77fe424 in __kernel_vsyscall ()
#1  0xb5ed082b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb3cb25e0 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0xb3cb26bf in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb5eccc77 in start_thread () from /lib/libpthread.so.0
#5  0xb5220c6e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa685fb70 (LWP 22181)):
#0  0xb77fe424 in __kernel_vsyscall ()
#1  0xb51ebe86 in nanosleep () from /lib/libc.so.6
#2  0xb521a90d in usleep () from /lib/libc.so.6
#3  0xb4ba1d0a in KDevelop::DUChainLock::lockForWrite (this=0x83a625c, timeout=0) at /home/vestnik/Development/KDE/kdevplatform/language/duchain/duchainlock.cpp:201
#4  0xb4ba1d6e in KDevelop::DUChainWriteLocker::lock (this=0xa685b060) at /home/vestnik/Development/KDE/kdevplatform/language/duchain/duchainlock.cpp:299
#5  0xb4ba1e20 in KDevelop::DUChainWriteLocker::DUChainWriteLocker (this=0xa685b060, duChainLock=0x83a625c, timeout=0) at /home/vestnik/Development/KDE/kdevplatform/language/duchain/duchainlock.cpp:284
#6  0xaa81ccb3 in DeclarationBuilder::visitInitDeclarator (this=0xa685b914, node=0xb56ebec) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:193
#7  0xaaac6d0b in Visitor::visit (this=0xa685b944, node=0xb56ebec) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#8  0xaa847d63 in TypeBuilder::visitSimpleDeclaration (this=0xa685b914, node=0xb56ec10) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/typebuilder.cpp:558
#9  0xaa81df20 in DeclarationBuilder::visitSimpleDeclaration (this=0xa685b914, node=0xb56ec10) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:316
#10 0xaaac6d0b in Visitor::visit (this=0xa685b944, node=0xb56ec10) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#11 0xaaac530e in visitNodes<DeclarationAST*> (v=0xa685b944, nodes=0xb579580) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.h:130
#12 0xaa80a1f2 in ContextBuilder::visitClassSpecifier (this=0xa685b914, node=0xb56c398) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:533
#13 0xaa8493a3 in TypeBuilder::visitClassSpecifier (this=0xa685b914, node=0xb56c398) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/typebuilder.cpp:77
#14 0xaa820f44 in DeclarationBuilder::visitClassSpecifier (this=0xa685b914, node=0xb56c398) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:1018
#15 0xaaac6d0b in Visitor::visit (this=0xa685b944, node=0xb56c398) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#16 0xaa847d20 in TypeBuilder::visitSimpleDeclaration (this=0xa685b914, node=0xb5795c0) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/typebuilder.cpp:551
#17 0xaa81df20 in DeclarationBuilder::visitSimpleDeclaration (this=0xa685b914, node=0xb5795c0) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:316
#18 0xaaac6d0b in Visitor::visit (this=0xa685b944, node=0xb5795c0) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#19 0xaaac530e in visitNodes<DeclarationAST*> (v=0xa685b944, nodes=0xb5795f4) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.h:130
#20 0xaaac6d0b in Visitor::visit (this=0xa685b944, node=0xb56c230) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#21 0xaaac45fa in DefaultVisitor::visitNamespace (this=0xa685b944, node=0xb56c214) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/default_visitor.cpp:251
#22 0xaa80913f in ContextBuilder::visitNamespace (this=0xa685b914, node=0xb56c214) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:472
#23 0xaa81ef7e in DeclarationBuilder::visitNamespace (this=0xa685b914, ast=0xb56c214) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:976
#24 0xaaac6d0b in Visitor::visit (this=0xa685b944, node=0xb56c214) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#25 0xaaac530e in visitNodes<DeclarationAST*> (v=0xa685b944, nodes=0xb579600) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.h:130
#26 0xaaac6d0b in Visitor::visit (this=0xa685b944, node=0xb56c1e8) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#27 0xaa80771b in ContextBuilder::startVisiting (this=0xa685b914, node=0xb56c1e8) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:186
#28 0xaa80eb78 in KDevelop::AbstractContextBuilder<AST, NameAST>::supportBuild (this=0xa685b914, node=0xb56c1e8, context=<value optimized out>) at /home/vestnik/Development/install/include/kdevplatform/language/duchain/builders/abstractcontextbuilder.h:133
#29 0xaa80cc43 in ContextBuilder::buildContexts (this=0xa685b914, file=..., node=0xb56c1e8, includes=0xa685be3c, updateContext=..., removeOldImports=false) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:421
#30 0xaa81bd24 in DeclarationBuilder::buildDeclarations (this=0xa685b914, file=..., node=0xb56c1e8, includes=0xa685be3c, updateContext=..., removeOldImports=false) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:92
#31 0xaac8c754 in CPPInternalParseJob::run (this=0xb9d2eb8) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppparsejob.cpp:637
#32 0xaac88b0c in CPPParseJob::parseForeground (this=0xbcea378) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppparsejob.cpp:175
#33 0xaac93c32 in PreprocessJob::sourceNeeded (this=0xbcdae20, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=17, skipCurrentPath=false) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/preprocessjob.cpp:598
#34 0xaac4bdad in rpp::pp::handle_include (this=0xa685c708, skip_current_path=false, input=..., output=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#35 0xaac4c94a in rpp::pp::handle_directive (this=0xa685c708, directive=113622, input=..., output=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#36 0xaac4cc95 in rpp::pp::operator() (this=0xa685c708, input=..., output=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#37 0xaac4d00d in rpp::pp::processFileInternal (this=0xa685c708, fileName=..., fileContents=..., result=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#38 0xaac4d082 in rpp::pp::processFile (this=0xa685c708, fileName=..., data=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#39 0xaac95f20 in PreprocessJob::run (this=0xbcdae20) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/preprocessjob.cpp:264
#40 0xaac88b01 in CPPParseJob::parseForeground (this=0xb860de0) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppparsejob.cpp:174
#41 0xaac93c32 in PreprocessJob::sourceNeeded (this=0xc0582f0, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=11, skipCurrentPath=false) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/preprocessjob.cpp:598
#42 0xaac4bdad in rpp::pp::handle_include (this=0xa685dff8, skip_current_path=false, input=..., output=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#43 0xaac4c94a in rpp::pp::handle_directive (this=0xa685dff8, directive=113622, input=..., output=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#44 0xaac4cc95 in rpp::pp::operator() (this=0xa685dff8, input=..., output=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#45 0xaac4d00d in rpp::pp::processFileInternal (this=0xa685dff8, fileName=..., fileContents=..., result=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#46 0xaac4d082 in rpp::pp::processFile (this=0xa685dff8, fileName=..., data=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#47 0xaac95f20 in PreprocessJob::run (this=0xc0582f0) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/preprocessjob.cpp:264
#48 0xb704599d in ?? () from /usr/lib/libthreadweaver.so.4
#49 0xb7045b03 in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#50 0xb7047025 in ?? () from /usr/lib/libthreadweaver.so.4
#51 0xb70472f2 in ThreadWeaver::JobCollection::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#52 0xb7045002 in ?? () from /usr/lib/libthreadweaver.so.4
#53 0xb70450ea in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#54 0xb5f41843 in ?? () from /usr/lib/libQtCore.so.4
#55 0xb5eccc77 in start_thread () from /lib/libpthread.so.0
#56 0xb5220c6e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa605eb70 (LWP 22182)):
[KCrash Handler]
#7  0xb77fe424 in __kernel_vsyscall ()
#8  0xb517ebbf in raise () from /lib/libc.so.6
#9  0xb5180545 in abort () from /lib/libc.so.6
#10 0xb5f37862 in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#11 0xb5f37a3b in ?? () from /usr/lib/libQtCore.so.4
#12 0xb5f37b58 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#13 0xb5f37be5 in qt_assert(char const*, char const*, int) () from /usr/lib/libQtCore.so.4
#14 0xaa81279c in KDevelop::AbstractContextBuilder<AST, NameAST>::openContextInternal (this=0xa605db34, range=..., type=KDevelop::DUContext::Other, identifier=...) at /home/vestnik/Development/install/include/kdevplatform/language/duchain/builders/abstractcontextbuilder.h:615
#15 0xaa80d036 in ContextBuilder::openContextInternal (this=0xa605db34, range=..., type=KDevelop::DUContext::Other, identifier=...) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:629
#16 0xaa80f43a in KDevelop::AbstractContextBuilder<AST, NameAST>::openContext (this=0xa605db34, rangeNode=0xa4e122fc, type=KDevelop::DUContext::Other, identifier=...) at /home/vestnik/Development/install/include/kdevplatform/language/duchain/builders/abstractcontextbuilder.h:402
#17 0xaa809ef1 in ContextBuilder::visitCompoundStatement (this=0xa605db34, node=0xa4e122fc) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:667
#18 0xaaac6d0b in Visitor::visit (this=0xa605db64, node=0xa4e122fc) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#19 0xaa80b04b in ContextBuilder::visitFunctionDefinition (this=0xa605db34, node=0xa4e12908) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:590
#20 0xaaac6d0b in Visitor::visit (this=0xa605db64, node=0xa4e12908) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#21 0xaa80b849 in ContextBuilder::visitTemplateDeclaration (this=0xa605db34, ast=0xa4e12938) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:292
#22 0xaaac6d0b in Visitor::visit (this=0xa605db64, node=0xa4e12938) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#23 0xaaac530e in visitNodes<DeclarationAST*> (v=0xa605db64, nodes=0xa4e1cc9c) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.h:130
#24 0xaa80a1f2 in ContextBuilder::visitClassSpecifier (this=0xa605db34, node=0xa4e11eec) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:533
#25 0xaa8493a3 in TypeBuilder::visitClassSpecifier (this=0xa605db34, node=0xa4e11eec) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/typebuilder.cpp:77
#26 0xaa820f44 in DeclarationBuilder::visitClassSpecifier (this=0xa605db34, node=0xa4e11eec) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:1018
#27 0xaaac6d0b in Visitor::visit (this=0xa605db64, node=0xa4e11eec) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#28 0xaa847d20 in TypeBuilder::visitSimpleDeclaration (this=0xa605db34, node=0xa4e1ccdc) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/typebuilder.cpp:551
#29 0xaa81df20 in DeclarationBuilder::visitSimpleDeclaration (this=0xa605db34, node=0xa4e1ccdc) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:316
#30 0xaaac6d0b in Visitor::visit (this=0xa605db64, node=0xa4e1ccdc) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#31 0xaaac530e in visitNodes<DeclarationAST*> (v=0xa605db64, nodes=0xa4e1cd10) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.h:130
#32 0xaaac6d0b in Visitor::visit (this=0xa605db64, node=0xa4e11d48) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#33 0xaaac45fa in DefaultVisitor::visitNamespace (this=0xa605db64, node=0xa4e11d2c) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/default_visitor.cpp:251
#34 0xaa80913f in ContextBuilder::visitNamespace (this=0xa605db34, node=0xa4e11d2c) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:472
#35 0xaa81ef7e in DeclarationBuilder::visitNamespace (this=0xa605db34, ast=0xa4e11d2c) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:976
#36 0xaaac6d0b in Visitor::visit (this=0xa605db64, node=0xa4e11d2c) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#37 0xaaac530e in visitNodes<DeclarationAST*> (v=0xa605db64, nodes=0xa4e1cd1c) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.h:130
#38 0xaaac6d0b in Visitor::visit (this=0xa605db64, node=0xa4e11c20) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/parser/visitor.cpp:115
#39 0xaa80771b in ContextBuilder::startVisiting (this=0xa605db34, node=0xa4e11c20) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:186
#40 0xaa80eb78 in KDevelop::AbstractContextBuilder<AST, NameAST>::supportBuild (this=0xa605db34, node=0xa4e11c20, context=<value optimized out>) at /home/vestnik/Development/install/include/kdevplatform/language/duchain/builders/abstractcontextbuilder.h:133
#41 0xaa80cc43 in ContextBuilder::buildContexts (this=0xa605db34, file=..., node=0xa4e11c20, includes=0xa605e05c, updateContext=..., removeOldImports=false) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:421
#42 0xaa81bd24 in DeclarationBuilder::buildDeclarations (this=0xa605db34, file=..., node=0xa4e11c20, includes=0xa605e05c, updateContext=..., removeOldImports=false) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:92
#43 0xaac8c754 in CPPInternalParseJob::run (this=0xb8842f8) at /home/vestnik/Development/KDE/kdevelop/languages/cpp/cppparsejob.cpp:637
#44 0xb704599d in ?? () from /usr/lib/libthreadweaver.so.4
#45 0xb7045b03 in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#46 0xb7047025 in ?? () from /usr/lib/libthreadweaver.so.4
#47 0xb7045002 in ?? () from /usr/lib/libthreadweaver.so.4
#48 0xb70450ea in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#49 0xb5f41843 in ?? () from /usr/lib/libQtCore.so.4
#50 0xb5eccc77 in start_thread () from /lib/libpthread.so.0
#51 0xb5220c6e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb290faa0 (LWP 21882)):
#0  0xb77fe424 in __kernel_vsyscall ()
#1  0xb5ed082b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5f41d50 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb5f41505 in QThread::wait(unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb600e395 in QFileSystemWatcher::~QFileSystemWatcher() () from /usr/lib/libQtCore.so.4
#5  0xb600e462 in QFileSystemWatcher::~QFileSystemWatcher() () from /usr/lib/libQtCore.so.4
#6  0xb6050041 in QObjectPrivate::deleteChildren() () from /usr/lib/libQtCore.so.4
#7  0xb6054be9 in QObject::~QObject() () from /usr/lib/libQtCore.so.4
#8  0xb48bc7cb in ?? () from /usr/lib/libsolid.so.4
#9  0xb48bc802 in ?? () from /usr/lib/libsolid.so.4
#10 0xb48bc662 in ?? () from /usr/lib/libsolid.so.4
#11 0xb4840469 in ?? () from /usr/lib/libsolid.so.4
#12 0xb5181c31 in ?? () from /lib/libc.so.6
#13 0xb5181cbd in exit () from /lib/libc.so.6
#14 0xb55e5f08 in ?? () from /usr/lib/libQtGui.so.4
#15 0xb63dbff9 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#16 0xb63dc034 in ?? () from /usr/lib/libkdeui.so.5
#17 0xb4931086 in _XIOError () from /usr/lib/libX11.so.6
#18 0xb492e80f in _XEventsQueued () from /usr/lib/libX11.so.6
#19 0xb491f4db in XEventsQueued () from /usr/lib/libX11.so.6
#20 0xb5621605 in ?? () from /usr/lib/libQtGui.so.4
#21 0xb43a0bf4 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#22 0xb43a1630 in ?? () from /usr/lib/libglib-2.0.so.0
#23 0xb43a19fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#24 0xb606a297 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#25 0xb562183a in ?? () from /usr/lib/libQtGui.so.4
#26 0xb603b0fd in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#27 0xb603b341 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#28 0xb603fa8a in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#29 0xb556bed4 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#30 0x0805138b in main (argc=<value optimized out>, argv=) at /home/vestnik/Development/KDE/kdevelop/app/main.cpp:474

Reported using DrKonqi
Comment 1 Bastian 2011-06-07 23:30:06 UTC
Hi,

I have the same problems. I imported kdevplatform and kdevelop as projects. The crash happens also every time.
Comment 2 Bastian 2011-06-07 23:32:58 UTC
Created attachment 60765 [details]
crash log
Comment 3 Sergey Vidyuk 2011-06-08 16:03:40 UTC
rm -rf ~/.kde4/share/apps/kdevelop/sessions/*
rm -rf ~/.kde4/share/apps/kdevplatform/sessions/*
temporary solves this issue. However Kdevelop crushes on this assert again when I use quick open, Ctrl+Click on symbol. Once failed it always fails after restart.
Comment 4 Milian Wolff 2011-06-08 18:26:49 UTC
Git commit 7e189d35e4a5d207b0711610114cae481f6497e5 by Milian Wolff.
Committed on 08/06/2011 at 18:23.
Pushed by mwolff into branch 'master'.

Revert "add assertion for misuse of AbstractContextBuilder::openContext"

This usage is apparently sometimes used in the CPP lang plugin,
I have to investigate whether it's a bug there or whether
it depends on this usage implicitly, maybe as requirement for
contexts in macro expansions...

To unbreak master, lets revert this for now.

This reverts commit b494fac2293237ab095f040cace27b7f3e899d80.

BUG: 275136

M  +2    -12   language/duchain/builders/abstractcontextbuilder.h     

http://commits.kde.org/kdevplatform/7e189d35e4a5d207b0711610114cae481f6497e5
Comment 5 Milian Wolff 2011-06-08 18:30:38 UTC
*** Bug 275196 has been marked as a duplicate of this bug. ***
Comment 6 Milian Wolff 2011-06-17 23:57:00 UTC
*** Bug 275226 has been marked as a duplicate of this bug. ***